Skip to main content
GET
Get a specific pathway

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Path Parameters

id
integer
required

The unique identifier of a pathway

Response

The pathway

id
integer
title
string
topic_ids
integer[]

IDs of the mandatory topics in the pathway

optional_topic_ids
integer[]

IDs of the optional topics in the pathway

due_mode
enum<string>

Same values as for topics

Available options:
none,
fixed_date,
fixed_time
due_date
string | null
due_in_days
integer | null
mandatory_topics_in_order
boolean
num_complete_optional_topics
integer
manager_enrol
boolean
manager_unenrol
boolean
certified_mode
enum<string>

Same values as for topics

Available options:
none,
fixed_date,
fixed_time
certified_days
integer | null
certified_date
string | null
show_certificate
boolean
certificate_expire_event
integer

Same values as for topics

recertify
boolean
recertification_days
integer
created_at
string<date-time>
updated_at
string<date-time>
completion_certificate_id
integer | null
external_id
string | null
visibility
enum<string>

public (active) or archived

Available options:
public,
archived
mandatory_topics
object[]

Mandatory topics in the pathway. Use the enrolment endpoints to get a user's progress

optional_topics
object[]

Optional topics in the pathway. Use the enrolment endpoints to get a user's progress

categories
object[]
skills
object[]
saved_searches
object[]
code
string

Enrolment code for this pathway, used in enrolment requests